##### ssl::stream::stream (2 of 3 overloads)

Construct a stream from an existing native implementation.

    template<
        typename Arg>
    stream(
        Arg && arg,
        native_handle_type handle);

This constructor creates a stream and initialises the underlying stream object. On success, ownership of the native implementation is transferred to the stream, and it will be cleaned up when the stream is destroyed.

###### Parameters

arg

  The argument to be passed to initialise the underlying stream.

handle

  An existing native SSL implementation.